curl --request GET \
--url 'https://api.scanova.io/analytics/report/58/update/' \
--header 'Authorization: YOUR_API_KEY'
{
"id": 58,
"filter_type": "qrcode",
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"report_type": "both",
"analytics_format": "xlsx",
"scan_format": "csv",
"status": "completed",
"report_file": "https://cdn.example.com/media/analytics_reports/58/report.xlsx",
"completed_on": "2026-09-01T08:12:00Z",
"is_saved": true,
"saved_name": "Monthly QR Report",
"created": "2026-09-01T08:10:00Z",
"requested_by_name": "Docs"
}
Analítica y planes
Obtener un informe de analíticas guardado
GET /analytics/report//update/
GET
/
analytics
/
report
/
{pk}
/
update
/
curl --request GET \
--url 'https://api.scanova.io/analytics/report/58/update/' \
--header 'Authorization: YOUR_API_KEY'
{
"id": 58,
"filter_type": "qrcode",
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"report_type": "both",
"analytics_format": "xlsx",
"scan_format": "csv",
"status": "completed",
"report_file": "https://cdn.example.com/media/analytics_reports/58/report.xlsx",
"completed_on": "2026-09-01T08:12:00Z",
"is_saved": true,
"saved_name": "Monthly QR Report",
"created": "2026-09-01T08:10:00Z",
"requested_by_name": "Docs"
}
Obtiene un único informe de analíticas guardado.
Requiere una clave de API de gestión con cuota
MANAGEMENT_API (o MANAGEMENT_API_SANDBOX) — consulte el resumen de la API de gestión.integer
requerido
El
id del informe, de Listar informes de analíticas.curl --request GET \
--url 'https://api.scanova.io/analytics/report/58/update/' \
--header 'Authorization: YOUR_API_KEY'
{
"id": 58,
"filter_type": "qrcode",
"start_date": "2026-08-01",
"end_date": "2026-08-31",
"report_type": "both",
"analytics_format": "xlsx",
"scan_format": "csv",
"status": "completed",
"report_file": "https://cdn.example.com/media/analytics_reports/58/report.xlsx",
"completed_on": "2026-09-01T08:12:00Z",
"is_saved": true,
"saved_name": "Monthly QR Report",
"created": "2026-09-01T08:10:00Z",
"requested_by_name": "Docs"
}
Aunque la ruta termina en
/update/, GET aquí es una simple obtención — el conjunto de consulta se limita a informes donde is_saved es true, por lo que un informe puntual (no guardado) generado mediante Generar un informe de analíticas no es accesible a través de este endpoint; use Listar informes de analíticas para esos en su lugar. 404 si pk no es un informe guardado propiedad de esta cuenta.Relacionado
- Listar informes de analíticas — encontrar el
iddel informe. - Actualizar un informe de analíticas guardado — renombrarlo o modificarlo.
- Resumen de la API de gestión — el esquema de autenticación y la arquitectura de cuotas a la que pertenece este endpoint.
Autorizaciones
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Parámetros de ruta
Respuesta
200 - application/json
Report detail.
¿Esta página le ayudó?